Subject: Re: [bug#71204] [PATCH 1/2] gnu: guix: Add imagemagick, perl and use full graphviz.

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 26 May 2024 08:09:51 -0400

Hi Zheng,

Zheng Junjie <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> This makes it possible to run 'make distcheck' in a 'guix shell -D guix'

> I think maybe should add them to manifest.scm? And just 'guix shell' or
> 'guix shell -m manifest.scm'?

I think it's nice that 'make distcheck' works out of the box, even for
'guix shell -D guix ...'.  According to 'guix size' the
new $GUIX_ENVIRONMENT produced with the added inputs do not add any
weight, so were probably already transitively referenced.

Also see PATCH 2/2 where I augment the manifest.scm file with
git:send-email and friends.

-- 
Thanks,
Maxim